


<h1><a name="git" id="git">Git</a></h1>
<div class="level1">

<p>

<a href="http://git-scm.com/" class="urlextern" title="http://git-scm.com/"  rel="nofollow">Git</a>: <a href="http://en.wikipedia.org/wiki/Git_(software)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Git_(software)">Git</a> <br/>

Using <a href="http://repo.or.cz" class="urlextern" title="http://repo.or.cz"  rel="nofollow">Repo Public Git Hosting</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Git" [1-130] -->
<h2><a name="how_to_install_git" id="how_to_install_git">How to install Git</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw2">sudo</span> <span class="kw2">apt-get</span> <span class="kw2">install</span> git-core
$ git config <span class="re5">--global</span> user.name user_name
$ git config <span class="re5">--global</span> user.email you<span class="sy0">@</span>yourdomain.example.com</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to install Git" [131-316] -->
<h2><a name="how_to_create_a_ssh_key" id="how_to_create_a_ssh_key">How to create a SSH key</a></h2>
<div class="level2">
<pre class="code bash">$ sshkey-gen</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to create a SSH key" [317-388] -->
<h2><a name="how_to_create_a_project" id="how_to_create_a_project">How to create a project</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw3">cd</span> path<span class="sy0">/</span>to<span class="sy0">/</span>project
$ git init
$ git add .
$ git commit <span class="re5">-a</span> <span class="re5">-m</span><span class="st0">&quot;message&quot;</span>
$ git remote add origin <span class="kw2">ssh</span>:<span class="sy0">//</span>user_name<span class="sy0">@</span>repo.or.cz<span class="sy0">/</span>srv<span class="sy0">/</span>git<span class="sy0">/</span>project_name.git
$ git push <span class="re5">--all</span> origin</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to create a project" [389-618] -->
<h2><a name="how_to_download_a_project" id="how_to_download_a_project">How to download a project</a></h2>
<div class="level2">
<pre class="code bash">$ git clone git:<span class="sy0">//</span>repo.or.cz<span class="sy0">/</span>project_name.git
$ <span class="kw3">cd</span> project_name</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to download a project" [619-742] -->
<h2><a name="how_to_upload_a_project" id="how_to_upload_a_project">How to upload a project</a></h2>
<div class="level2">

<p>

Just the first time:

</p>
<pre class="code bash">$ git remote <span class="kw2">rm</span> origin
$ git remote add origin <span class="kw2">ssh</span>:<span class="sy0">//</span>user_name<span class="sy0">@</span>repo.or.cz<span class="sy0">/</span>srv<span class="sy0">/</span>git<span class="sy0">/</span>project_name.git</pre>

<p>
Always:

</p>
<pre class="code bash">$ git add .
$ git commit <span class="re5">-a</span> <span class="re5">-m</span><span class="st0">&quot;description of the modifications&quot;</span>
$ git push <span class="re5">--all</span> origin</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to upload a project" [743-1038] -->
<h2><a name="how_to_update_your_version_of_a_project" id="how_to_update_your_version_of_a_project">How to update your version of a project</a></h2>
<div class="level2">
<pre class="code bash">$ git pull origin master</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to update your version of a project" [1039-1139] -->
<h2><a name="how_to_create_a_tag" id="how_to_create_a_tag">How to create a tag</a></h2>
<div class="level2">
<pre class="code bash">$ git tag tag_name</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to create a tag" [1140-1212] -->
<h2><a name="how_to_upload_a_tag" id="how_to_upload_a_tag">How to upload a tag</a></h2>
<div class="level2">
<pre class="code bash">$ git push origin tag_name</pre>

<p>
or
</p>
<pre class="code bash">$ git push <span class="re5">--tags</span> origin</pre>
<div class="tags"><span>
	<a href="/~kssilveira/site/doku.php?id=tag:programming&amp;do=showtag&amp;tag=tag%3Aprogramming" class="wikilink1" title="tag:programming" rel="tag">programming</a>
</span></div>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to upload a tag" [1213-] -->